Package com.sun.jna.platform.win32

# Class Advapi32Util.Account

java.lang.Object
com.sun.jna.platform.win32.Advapi32Util.Account

Enclosing class:
  Advapi32Util

public static class Advapi32Util.Account extends Object
An account.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `accountType`
  Account type, one of SID_NAME_USE.
  `String`
  `domain`
  Account domain.
  `String`
  `fqn`
  Fully qualified account name.
  `String`
  `name`
  Account name.
  `byte[]`
  `sid`
  Account SID.
  `String`
  `sidString`
  String representation of the account SID.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Account()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Account name.

  - ### domain

    public String domain
    Account domain.

  - ### sid

    public byte[] sid
    Account SID.

  - ### sidString

    public String sidString
    String representation of the account SID.

  - ### accountType

    public int accountType
    Account type, one of SID_NAME_USE.

  - ### fqn

    public String fqn
    Fully qualified account name.

- ## Constructor Details

  - ### Account

    public Account()